import { Component, h, State } from '@stencil/core';
import { cardDesign, clauseMatch, expenseManagement, exploreFeatures, footer, headNav, headText, linkBlock, otherFeatures, personalSecurity, previewBackground, productPresentation, securityControl } from "../../utils/mock";
export class MyComponent {
    componentWillLoad() {
        this.popupComplited = true;
    }
    render() {
        return (h("div", { class: "m-0 p-0" },
            h("div", { class: "topThreeBlocks" },
                this.popupComplited ? (h("s-abdullakh-pre-header", { onClose: () => this.close() })) : (""),
                h("s-abdullakh-header", { headText: headText, headNav: headNav, onClickOnHeader: (event) => this.clickOnHeader(event) }),
                h("s-abdullakh-product-presentation", { productPresentation: productPresentation, onClickOnProductPresentation: (event) => this.clickOnProductPresentation(event) })),
            h("s-abdullakh-multi-currency-slaider", null),
            h("s-abdullakh-personal-security", { personalSecurityImg: personalSecurity.personalSecurityImg, personalSecurity: personalSecurity, onClickOnPersonalSecurity: (event) => this.clickOnPersonalSecurity(event) }),
            h("s-abdullakh-expense-management", { expenseManagement: expenseManagement, expenseManagementImg: expenseManagement.expenseManagementImg, onClickOnExpenseManagement: (event) => this.clickOnExpenseManagement(event) }),
            h("s-abdullakh-clause-match", { clauseMatch: clauseMatch, onClickOnClauseMatch: (event) => this.clickOnClauseMatch(event) }),
            h("s-abdullakh-security-control", { securityControl: securityControl, securityControlImg: securityControl.securityControlImg, onClickOnSecurityControl: (event) => this.clickOnSecurityControl(event) }),
            h("s-abdullakh-card-design", { cardDesign: cardDesign, onClickOnCardDesign: (event) => this.clickOnCardDesign(event) }),
            h("s-abdullakh-other-features", { otherFeatures: otherFeatures, featuresblock: otherFeatures.featuresblock, onClickOnOtherFeatures: (event) => this.clickOnOtherFeatures(event) }),
            h("s-abdullakh-explore-features", { exploreFeatures: exploreFeatures, onClickOnExploreFeature: (event) => this.clickOnExploreFeature(event) }),
            h("s-abdullakh-link-block", { linkBlock: linkBlock, onClickOnLinkBlock: (event) => this.clickOnLinkBlock(event) }),
            h("s-abdullakh-icons-block", { previewBackground: previewBackground.previewBackgroundBlock, onClickOnIconsBlock: (event) => this.clickOnIconsBlock(event) }),
            h("s-abdullakh-footer", { footer: footer })));
    }
    /**
     * Закрытие модального окна формы
     */
    close() {
        this.popupComplited = false;
    }
    /**
     * клик по элементам clickOnHeader
     */
    clickOnHeader({ detail }) {
        return console.log('clickOnHeader:', detail);
    }
    /**
     * клик по элементам ProductPresentation
     */
    clickOnProductPresentation({ detail }) {
        return console.log('ProductPresentation:', detail);
    }
    /**
     * клик по элементам personalSecurity
     */
    clickOnPersonalSecurity({ detail }) {
        return console.log('personalSecurity:', detail);
    }
    /**
     * клик по элементам ExpenseManagement
     */
    clickOnExpenseManagement({ detail }) {
        return console.log('ExpenseManagement:', detail);
    }
    /**
     * клик по элементам ClauseMatch
     */
    clickOnClauseMatch({ detail }) {
        return console.log('ClauseMatch:', detail);
    }
    /**
     * клик по элементам SecurityControl
     */
    clickOnSecurityControl({ detail }) {
        return console.log('SecurityControl:', detail);
    }
    /**
     * клик по элементам CardDesign
     */
    clickOnCardDesign({ detail }) {
        return console.log('CardDesign:', detail);
    }
    /**
     * клик по элементам OtherFeatures
     */
    clickOnOtherFeatures({ detail }) {
        return console.log('OtherFeatures:', detail);
    }
    /**
     * клик по элементам ExploreFeature
     */
    clickOnExploreFeature({ detail }) {
        return console.log('ExploreFeature:', detail);
    }
    /**
     * клик по элементам LinkBlock
     */
    clickOnLinkBlock({ detail }) {
        return console.log('LinkBlock:', detail);
    }
    /**
     * клик по элементам clickOnIconsBlock
     */
    clickOnIconsBlock({ detail }) {
        return console.log('clickOnIconsBlock:', detail);
    }
    static get is() { return "my-component"; }
    static get originalStyleUrls() { return {
        "$": ["my-component.css"]
    }; }
    static get styleUrls() { return {
        "$": ["my-component.css"]
    }; }
    static get states() { return {
        "popupComplited": {}
    }; }
}
